> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataforb2b.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enrich Company

> Enrich a company with all its data (general info, metrics, growth, funding, etc.)

## Credit Cost

| Data Type         | Credits     |
| ----------------- | ----------- |
| Full company info | 1.5 credits |

***

## Request Body

<ParamField body="company_identifier" type="string" required>
  Company identifier. Supports multiple formats:

  * **Universal name (slug):** `google`, `microsoft`, `apple`
  * **Full URL:** `https://www.linkedin.com/company/google/`
  * **Short URL:** `linkedin.com/company/google`
  * **Encoded ID:** `org_0000000000000000000000000009qU5aRV` (partial support)
</ParamField>

***

## Response

<ResponseField name="company" type="object">
  Complete company data with all available information

  <Expandable title="company properties">
    <ResponseField name="id" type="string">
      Encoded company ID (org\_xxx)
    </ResponseField>

    <ResponseField name="name" type="string">
      Company name
    </ResponseField>

    <ResponseField name="tagline" type="string | null">
      Company tagline/slogan
    </ResponseField>

    <ResponseField name="description" type="string | null">
      Full company description
    </ResponseField>

    <ResponseField name="industry" type="string | null">
      Industry
    </ResponseField>

    <ResponseField name="headquarters" type="object | null">
      Headquarters location

      <Expandable title="headquarters properties">
        <ResponseField name="country" type="string">
          Country code (e.g., "US")
        </ResponseField>

        <ResponseField name="city" type="string">
          City name
        </ResponseField>

        <ResponseField name="region" type="string">
          Region/state name
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="founded_year" type="number | null">
      Year the company was founded
    </ResponseField>

    <ResponseField name="company_type" type="string | null">
      Type of company (e.g., "Public Company", "Private", "Nonprofit")
    </ResponseField>

    <ResponseField name="logo_url" type="string | null">
      Company logo URL
    </ResponseField>

    <ResponseField name="links" type="object">
      Company links and social media

      <Expandable title="links properties">
        <ResponseField name="website" type="string | null">
          Company website URL
        </ResponseField>

        <ResponseField name="linkedin" type="string">
          Company profile URL
        </ResponseField>

        <ResponseField name="twitter" type="string | null">
          Twitter profile URL
        </ResponseField>

        <ResponseField name="instagram" type="string | null">
          Instagram profile URL
        </ResponseField>

        <ResponseField name="facebook" type="string | null">
          Facebook page URL
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="size" type="object">
      Company size information

      <Expandable title="size properties">
        <ResponseField name="employees" type="number">
          Number of employees
        </ResponseField>

        <ResponseField name="range_min" type="number">
          Minimum range of employee count
        </ResponseField>

        <ResponseField name="range_max" type="number | null">
          Maximum range of employee count (null if unlimited)
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="metrics" type="object">
      Company metrics

      <Expandable title="metrics properties">
        <ResponseField name="followers" type="number">
          Number of followers
        </ResponseField>

        <ResponseField name="active_jobs" type="number">
          Number of active job postings
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="signals" type="object">
      Company signals

      <Expandable title="signals properties">
        <ResponseField name="verified" type="boolean">
          Whether the company is verified on LinkedIn
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="categories" type="array">
      Array of company categories/tags (strings)
    </ResponseField>

    <ResponseField name="locations" type="array | null">
      All company office locations

      <Expandable title="location item properties">
        <ResponseField name="country" type="string">
          Country code
        </ResponseField>

        <ResponseField name="city" type="string">
          City name
        </ResponseField>

        <ResponseField name="region" type="string">
          Region/state name
        </ResponseField>

        <ResponseField name="is_headquarters" type="boolean">
          Whether this is the headquarters location
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="funding" type="object | null">
      Funding information summary

      <Expandable title="funding properties">
        <ResponseField name="stage" type="string">
          Funding stage (e.g., "Series A", "Series B", "IPO")
        </ResponseField>

        <ResponseField name="total_rounds" type="number">
          Total number of funding rounds
        </ResponseField>

        <ResponseField name="total_usd" type="number">
          Total funding amount in USD
        </ResponseField>

        <ResponseField name="last_round_usd" type="number">
          Last round funding amount in USD
        </ResponseField>

        <ResponseField name="last_round_date" type="string">
          Date of last funding round (YYYY-MM-DD format)
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="funding_rounds" type="array | null">
      Detailed funding rounds history

      <Expandable title="funding round item properties">
        <ResponseField name="round" type="string">
          Round name (e.g., "Series A", "Seed")
        </ResponseField>

        <ResponseField name="amount_usd" type="number">
          Funding amount in USD
        </ResponseField>

        <ResponseField name="date" type="string">
          Funding date (YYYY-MM-DD format)
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="investors" type="array | null">
      List of investors

      <Expandable title="investor item properties">
        <ResponseField name="name" type="string">
          Investor name
        </ResponseField>

        <ResponseField name="type" type="string">
          Investor type (e.g., "Venture Capital", "Angel")
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="growth" type="object | null">
      Company growth statistics

      <Expandable title="growth properties">
        <ResponseField name="percent_1m" type="number">
          Growth percentage over last 1 month
        </ResponseField>

        <ResponseField name="percent_6m" type="number">
          Growth percentage over last 6 months
        </ResponseField>

        <ResponseField name="percent_12m" type="number">
          Growth percentage over last 12 months
        </ResponseField>

        <ResponseField name="recent_hires" type="number">
          Number of recent hires
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

***

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.dataforb2b.ai/enrich/company \
    -H "api_key: YOUR_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "company_identifier": "google"
    }'
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://api.dataforb2b.ai/enrich/company",
      headers={
          "api_key": "YOUR_api_key",
          "Content-Type": "application/json"
      },
      json={
          "company_identifier": "google"
      }
  )

  data = response.json()
  company = data.get('company')

  print(f"Company: {company['name']}")
  print(f"Industry: {company['industry']}")
  print(f"Employees: {company['size']['employees']}")
  print(f"Followers: {company['metrics']['followers']}")
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.dataforb2b.ai/enrich/company', {
    method: 'POST',
    headers: {
      'api_key': 'YOUR_api_key',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      company_identifier: 'google'
    })
  });

  const data = await response.json();
  const company = data.company;

  console.log('Company:', company.name);
  console.log('Industry:', company.industry);
  console.log('Employees:', company.size.employees);
  console.log('Followers:', company.metrics.followers);
  ```
</RequestExample>
